<? 	

ob_start();
	
//------------------------------------------------------------------------
// This script is a part of ABC Mail Manager
//
// Version: 2.5
// Homepage: www.zakkis.ca
// Copyright (c) 2002-2003 Zakkis Technology, Inc.
// All rights reserved.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
// "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
// LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
// FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
// REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
// INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
// (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
// SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
// HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
// STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
// OF THE POSSIBILITY OF SUCH DAMAGE.
//
//------------------------------------------------------------------------
	
	include_once ('init.php');
 	include_once ('class/Menu.class.inc');
 	include_once ('class/MailList.class.inc');
 	include_once ('class/FolderList.class.inc');
 	
 	include ('data/options.inc');
 	if( !isset( $PG_Charset ) )
 		$PG_Charset = "windows-1252";
 	
	$now = gmstrftime('%a, %d %b %Y %H:%M:%S GMT');

	header("Date: " . $now );
	header("Last-Modified: " . $now );
	header("Pragma: no-cache" );
	header("Cache-Control: no-cache" );
	header("Content-Type: text/html; charset=$PG_Charset");
 	
 	ValidateAuth();

	$Correct = true;
	
	if( isset($HTTP_GET_VARS['mid']) )
		$mid = $HTTP_GET_VARS['mid'];
	if( isset($HTTP_POST_VARS['ctx']) )
		$ctx = $HTTP_POST_VARS['ctx'];
	elseif( isset($HTTP_GET_VARS['ctx']) )
		$ctx = $HTTP_GET_VARS['ctx'];

	$items[0] = new MenuItem('Manage', 'Manage maillists', './manage_folders.php' );
	$items[1] = new MenuItem('Add address', 'Add mail address', './add_mail.php' );
	$editlist_item = new MenuItem('Edit list', 'Edit address list', './edit_list.php' );
	$editlist_item->AddContent('Edit Address Item','./edit_item.php');
	$items[2] = $editlist_item;
	
	$items[3] = new MenuItem('Import list', 'Import address list', './import_list.php' );
	$items[4] = new MenuItem('Export list', 'Export address list', './download.php' );
	$items[5] = new MenuItem('Subscribe form', 'Subscribe form', './subscribe.php' );
	
	$items[6] = new MenuItem('Mail Options', 'Mail Options', './options.php' );
	$items[7] = new MenuItem('Archive Options', 'Archive Options', './archive_options.php' );
	
	$sendmail_item = new MenuItem('Send mail', 'Send mail - [Select Recipients]', './sendmail.php' );	
	$sendmail_item->AddContent('Send mail - [Letter]', './sendmail2.php' );
	$sendmail_item->AddContent('Send mail - [Preview]', './preview.php' );
	$sendmail_item->AddContent('Send mail', './sendmail3.php' );
	$items[8] = $sendmail_item;
	
	$archive_item = new MenuItem('Mail Archive', 'Mail Archive', 'mail_archive.php' );	
	$archive_item->AddContent('Mail Archive - [Letter]', 'archive_letter.php' );
	$items[9] = $archive_item;

	$items[10] = new MenuItem('Change Password', 'Change password', './password.php' );
	
	//$logout_item = new MenuItem('Logout', '', '' );
	//$logout_item->target = 'logout.php';
	//$items[] = $logout_item;
	
	if( !isset( $items[$mid] ) )
		$mid = 0;

	$menu = new Menu( 'MailManager.php', $items );
		

	// Active folder handling...

	$folders = new FolderList;
	
	if( $REQUEST_METHOD == 'GET' && isset($HTTP_GET_VARS['select'])
		&& $folders->HasFolder( $HTTP_GET_VARS['select'] ) )
	{
		$select = $HTTP_GET_VARS['select'];
		$active_folder = $select;
		setcookie('folder', $active_folder, time()+60*60*24*30 );
	}
	elseif( isset($HTTP_COOKIE_VARS['folder'])
			&& $folders->HasFolder( $HTTP_COOKIE_VARS['folder'] ))
	{
		$active_folder = $HTTP_COOKIE_VARS['folder'];
		setcookie('folder',$active_folder, time()+60*60*24*30);
	}
	elseif( $folders->GetCount( $active_folder ) > 0 )
	{
		$first = $folders->GetFirst();
		$active_folder = $first;
		setcookie('folder', $active_folder, time()+60*60*24*30);
	}
?>

<html>

<head>
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" CONTENT="no-cache">
<meta http-equiv="Content-Type" content="text/html; charset=<?=$PG_Charset?>">
<link rel=stylesheet href="mail.css" type="text/css">
<title><? print $menu->title; ?></title>

<script language="JavaScript" type="text/JavaScript">
<!--
function MM_jumpMenu(targ,selObj,restore){ //v3.0
  eval(targ+".location='"+selObj.options[selObj.selectedIndex].value+"'");
  if (restore) selObj.selectedIndex=0;
}

function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

function MM_jumpMenuGo(selName,targ,restore){ //v3.0
  var selObj = MM_findObj(selName); if (selObj) MM_jumpMenu(targ,selObj,restore);
}
//-->
</script>

</head>

<body bgcolor="#FFFFFF" text="#000000" link="#000000" vlink="#000000" alink="#000000" leftmargin="0" topmargin="0" rightmargin="0" bottommargin="0" marginwidth="0" marginheight="0">

<table width="100%" border="0" cellpadding="10" cellspacing="0" bgcolor="#009900">
  <tr>
    <td width="25%" align="left" valign="top">
    	<font class="productName2">ABC MailManager</font>
    </td>
    <td width="30%" align="left" valign="top" class="loginText">
<form name="form1" method="post" action="">
	Active maillist:&nbsp;
<? if( $folders->GetCount( $active_folder ) != 0  ) { ?>
  <select name="menuNavigate" onChange="MM_jumpMenu('parent',this,0)">
<?
	foreach( $folders->data as $name => $no )
	{
		$urlname = urlencode($name);
		if( $name == $active_folder )
			echo "<option value=\"MailManager.php?select=$urlname&mid=$mid\" selected>$name</option>\n";
		else
    		echo "<option value=\"MailManager.php?select=$urlname&mid=$mid\">$name</option>\n";
    }
?>
  </select>
  <input type="button" name="Button1" value="Select" onClick="MM_jumpMenuGo('menuNavigate','parent',0)">
<? } else { ?>
	No maillists defined
<? } ?>
</form>    
    </td>
<?
	if( isset($guest) )
    	echo "<td valign=\"top\" width=\"35%\" class=\"loginText\">Guest Account</td>\n";
?>
    <td width="25%" align="right" valign="top"><a href="logout.php" class="loginTextLink">LogOut >></a></td>
  </tr>
</table>

<table width="100%" height="80%" border="0" cellpadding="0" cellspacing="0">
<tr>
<!-- <td bgcolor="#336699"><img src="images/spacer.gif" width="1" border="0"></td> -->
<td width="170" valign="top" bgcolor="#FFCC00">

<table width="100%" border="0" cellspacing="5" cellpadding="5">
<tr>
<td>
<!---------------->
<!-- Menu start -->
<table width="100%" border="0" cellpadding="0" cellspacing="0" bgcolor="#FFCC00">

<?
	$menu->PrintSeparator( "Maillists" );
	$menu->PrintMenuPart( 0, 1 );
	$menu->PrintSeparator( "Users" );
	$menu->PrintMenuPart( 1, 6 );
	$menu->PrintSeparator( "Options" );
	$menu->PrintMenuPart( 6, 8 );
	$menu->PrintSeparator( "Mail" );
	$menu->PrintMenuPart( 8, 10 );
	$menu->PrintSeparator( "Security" );
	$menu->PrintMenuPart( 10, 11 );
?>
</table>
<!-- Menu end ---->
<!---------------->
</td>
</tr>
</table>

<p>
</td>
<td width=1 bgcolor="#009900"><img src="images/spacer.gif" width="1" border="0"></td>
<td width=10><img src="images/spacer.gif" width="1" border="0"></td>        
<td valign="top">
<!------------------->
<!-- Content start -->

<? $menu->PrintContent(); ?>

<!-- Content end ---->
<!------------------->
</td>
</tr>
</table>

<table width="100%" border="0" cellpadding="0" cellspacing="0">
<tr>
<td bgcolor="#009900"><img src="images/spacer.gif" width="1" border="0"></td>
</tr>
<tr>
<td align="right">
<a href="http://www.zakkis.ca" target="_blank" class="signatureText">Powered by Zakkis Technology  2002-2003&nbsp;</a>
<br>
<a href="http://www.zakkis.ca" target="_blank" class="signatureText">All rights reserved.&nbsp;</a>
</td>
</tr>
</table>
<p>&nbsp;</p>
</body>
</html>

<?php

ob_end_flush();

?>