<?php

error_reporting (0);
	
//------------------------------------------------------------------------
// This script is a part of ABC Mail Manager
//
// Version: 2.5
// Homepage: www.zakkis.ca
// Copyright (c) 2002-2003 Zakkis Technology, Inc.
// All rights reserved.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
// "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
// LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
// FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
// REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
// INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
// (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
// SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
// HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
// STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
// OF THE POSSIBILITY OF SUCH DAMAGE.
//
//------------------------------------------------------------------------
	
/**
* 	Generally used initializations. This script should be included
*	first, before any other script, except index.php and logout.php.
*
*	Author: Maxim A. Perenesenko, 2002.
*/
	
	include_once ('port43.php');
	include_once ('redir.php');
	
	/*print '<pre>';
	var_dump($HTTP_SESSION_VARS);
	var_dump($GLOBALS);
	print '</pre>';*/
	
	if( isset($HTTP_COOKIE_VARS['auth']) )
		$auth = $HTTP_COOKIE_VARS['auth'];
	if( isset($HTTP_COOKIE_VARS['guest']) )
		$guest = $HTTP_COOKIE_VARS['guest'];
			
	function CheckCallIsCorrect()
	{
		global $Correct;
		if( !isset( $Correct ) )
			RedirectTo( 'index.php' );
	}
	
	function ValidateAuth()
	{	
		include ('./data/password.inc');
		global $auth, $guest;
		
		if( file_exists('demo.allow') && isset( $guest ) )
		{
			setcookie( 'guest', 1, time() + 3600 );
			return;
		}
		
		if( file_exists('admin.deny') || !isset( $auth ) || $auth != md5( $Password ) )
			RedirectTo( 'index.php' );
		else
			setcookie( 'auth', md5( $Password ), time() + 3600 );
	}
	
	function IsDemo()
	{
		global $guest;
		return isset( $guest );
	}
	
	$trace_enabled = false;
	
	function trace( $var )
	{
		global $trace_enabled;
		if( $trace_enabled )
		{
			print '<pre>';
			print_r( $var );
			print '</pre>';
		}
	}
	
	function trimq( $str )
	{
		$count = strlen($str);
		
		$i = 0;
		$j = 0;
		while( $i < $count && ($str[ $i ] == "'" || $str[ $i ] == "\"") )
			$i++;
			
		if( $i >= $count )
			return "";
		else
		{
			$j = $count - 1;
			while( $j >= $i && ($str[ $j ] == "'" || $str[ $j ] == "\"") )
				$j--;
			$j++;
		}
		
		if( $i < $j )		
			$str = substr( $str, $i, $j - $i );
		else
			$str = '';
			
		return $str;
	}

?>