<?php
	
//------------------------------------------------------------------------
// This script is a part of ABC Mail Manager
//
// Version: 2.5
// Homepage: www.zakkis.ca
// Copyright (c) 2002-2003 Zakkis Technology, Inc.
// All rights reserved.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
// "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
// LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
// FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
// REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
// INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
// (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
// SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
// HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
// STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
// OF THE POSSIBILITY OF SUCH DAMAGE.
//
//------------------------------------------------------------------------
	
	include_once ('class/MailList.class.inc');
	include_once ('class/pear/RFC822.php');
	
	CheckCallIsCorrect();
	
	global $HTTP_POST_FILES, $HTTP_POST_VARS, $REQUEST_METHOD, $folders, $active_folder;
	
	if( !isset( $active_folder ) )
	{
		echo "<font class=bodyText>You should define though one maillist first.<br>
		Please, go to the menu <a href=\"MailManager.php?mid=0\">Folders/Manage</a> and add the maillist.
		</font>";
		exit;		
	}
	
	if( $REQUEST_METHOD == 'POST' )
	{
		$file = $HTTP_POST_FILES["file"];
		$filename = $file["tmp_name"];
		
		if( file_exists( $filename ) )
		{
			$uploadedfile = $file["name"];
			
			//print '<hr width="50%" align=left>';
			print "<font class=BodyText>Importing file $uploadedfile...</font><br>";
			
			$list = new MailList ( 1 );
			$lines = file( $filename );
			$line = join( ', ', $lines );
			
			$addrs = Mail_RFC822::parseAddressList( $line, 'localhost', false );
			
			if( !is_object( $addrs ) )
			{
			
				if (is_array($addrs))
				{
		            foreach ($addrs as $ob)
		            {
		            	if( !is_object( $ob ) )
		            		continue;
		            	
	            		$desc = $ob->personal;
	                	$mail = $ob->mailbox . '@' . $ob->host;
	                	if( $desc == "" )
	                		$desc = $mail;
	            
			            if( $list->HasEMail( $mail ) )
							print "<font class=varningText>Failed to import email \"$mail\";.Address already exists in database.</font><br>";
						else
						{
							print "<font class=BodyText>\"$mail\" address succsefully imported.</font><br>";
							$password = substr( md5( uniqid('') ), 0, 10);
							$list->AddNew( $desc, $mail, false, true, $password );
						}
	                
		            }
		        }
	
				if( !IsDemo() )
					$list->Write();
				else
				{
					print "<P class=varningText>You can not import mail address information as guest. Data was not saved.</P>";
				}
			}
			else
			{
				print "<font class=varningText>$addrs->message</font><br>";
			}

			//print '<hr width="50%" size=1 align=left>';
		}
	}
?>

<form enctype="multipart/form-data" name=import method=post action="<?=$target;?>">
<p class=bodyText>Please, choose file from your local filesystem and press button <b>Import</b>.
<hr width=50% size=1 align=left>

<table class=bodyText>
	<tr>
		<td class=BlackText>
			Enter file to import:&nbsp;&nbsp;&nbsp;
		</td>
		<td>
            <input type="file" name="file">&nbsp;&nbsp;
		</td>
		<td align=left>
			<input type=submit value=Import style="width: 50px; heigth: 18px; font-size: 12px">		
		</td>
	</tr>
</table>

<hr width=50% size=1 align=left>
</form>